Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetChatBoosts

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.FoundChatBoosts>
it.tdlight.jni.TdApi.GetChatBoosts

Enclosing class:
  TdApi

public static final class TdApi.GetChatBoosts extends TdApi.Function<TdApi.FoundChatBoosts>
Returns list of boosts applied to a chat; requires administrator rights in the chat.

Returns `FoundChatBoosts`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of the chat.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`limit`
The maximum number of boosts to be returned; up to 100.
`String`
`offset`
Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
`boolean`
`onlyGiftCodes`
Pass true to receive only boosts received from gift codes and giveaways created by the chat.

## Constructor Summary

Constructors
Constructor
Description
`GetChatBoosts()`
Returns list of boosts applied to a chat; requires administrator rights in the chat.
`GetChatBoosts(long chatId, boolean onlyGiftCodes, String offset, int limit)`
Returns list of boosts applied to a chat; requires administrator rights in the chat.
`GetChatBoosts(DataInput input)`
Returns list of boosts applied to a chat; requires administrator rights in the chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat.

### onlyGiftCodes

public boolean onlyGiftCodes
Pass true to receive only boosts received from gift codes and giveaways created by the chat.

### offset

public String offset
Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.

### limit

public int limit
The maximum number of boosts to be returned; up to 100. For optimal performance, the number of returned boosts can be smaller than the specified limit.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetChatBoosts

public GetChatBoosts()
Returns list of boosts applied to a chat; requires administrator rights in the chat.

Returns `FoundChatBoosts`

### GetChatBoosts

public GetChatBoosts(long chatId, boolean onlyGiftCodes, String offset, int limit)
Returns list of boosts applied to a chat; requires administrator rights in the chat.

Returns `FoundChatBoosts`

Parameters:
  `chatId` - Identifier of the chat.
  `onlyGiftCodes` - Pass true to receive only boosts received from gift codes and giveaways created by the chat.
  `offset` - Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
  `limit` - The maximum number of boosts to be returned; up to 100. For optimal performance, the number of returned boosts can be smaller than the specified limit.

  Returns `FoundChatBoosts`

### GetChatBoosts

public GetChatBoosts(DataInput input) throws IOException
Returns list of boosts applied to a chat; requires administrator rights in the chat.

Returns `FoundChatBoosts`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`